package com.acme.vcutil.supplier;

import com.acme.model.domain.sc.entity.Order;
import com.acme.resource.ResourceHelper;
import com.acme.structure.util.ConversionUtil;
import com.acme.structure.util.datalist.SimpleStaticListSupplier;
import com.acme.structure.util.datalist.StaticData;

public class OrderStatusSupplier extends SimpleStaticListSupplier
{
    public void loadList()
    {
        clearList();
        list.add(new StaticData(Order.ORDERSTATUS_CREATING, ResourceHelper.getStringResourceItem("SC", "orderstatussupplier_creating")));
        list.add(new StaticData(Order.ORDERSTATUS_STANDNG, ResourceHelper.getStringResourceItem("SC", "orderstatussupplier_standing")));
        list.add(new StaticData(Order.ORDERSTATUS_COMPLETED, ResourceHelper.getStringResourceItem("SC", "orderstatussupplier_completed")));
        list.add(new StaticData(Order.ORDERSTATUS_CANCELLED, ResourceHelper.getStringResourceItem("SC", "orderstatussupplier_cancelled")));        
        itemList.addAll(ConversionUtil.getConvertedToSelectItemListWithStaticData(list, false));
    }

    public String getListName()
    {
        return "paymenttypes";
    }

}
